unit MiscU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ToolWin, ComCtrls, Menus, StdActns,
  ActnList, ImgList, Grids, ValEdit, ShellCtrls;

type
  TForm1 = class(TForm)
    LabeledEdit1: TLabeledEdit;
    ComboBox1: TComboBox;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    Print1: TMenuItem;
    N2: TMenuItem;
    New1: TMenuItem;
    Edit1: TMenuItem;
    Paste1: TMenuItem;
    Copy1: TMenuItem;
    Cut1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    ToolBar1: TToolBar;
    CoolBar1: TCoolBar;
    ToolBar2: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ActionList1: TActionList;
    ImageList1: TImageList;
    EditCut1: TEditCut;
    EditCopy1: TEditCopy;
    EditPaste1: TEditPaste;
    EditSelectAll1: TEditSelectAll;
    EditUndo1: TEditUndo;
    EditDelete1: TEditDelete;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    StaticText1: TStaticText;
    CheckBox1: TCheckBox;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    Extra1: TMenuItem;
    oggleme1: TMenuItem;
    ComboBoxEx1: TComboBoxEx;
    ColorBox1: TColorBox;
    ValueListEditor1: TValueListEditor;
    ListBox1: TListBox;
    Panel1: TPanel;
    Splitter1: TSplitter;
    ShellTreeView1: TShellTreeView;
    ShellListView1: TShellListView;
    CoolBar2: TCoolBar;
    ShellComboBox1: TShellComboBox;
    StatusBar1: TStatusBar;
    ShellChangeNotifier1: TShellChangeNotifier;
    procedure FormPaint(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure ValueListEditor1StringsChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormPaint(Sender: TObject);
begin
  with Canvas do
  begin
    Pen.Width := 20;
    Pen.Color := TransparentColorValue;
    MoveTo(0, 0);
    LineTo(Self.Width, Self.Height);
    MoveTo(Self.Width, 0);
    LineTo(0, Self.Height);
  end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  TransparentColor := CheckBox1.Checked;
  Invalidate
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  AlphaBlendValue := TrackBar1.Position * 5
end;

procedure TForm1.ValueListEditor1StringsChange(Sender: TObject);
begin
  ListBox1.Items := ValueListEditor1.Strings
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ListBox1.Items := ValueListEditor1.Strings
end;

end.
